# $Id: smeserver-unifi.spec,v 1.8 2022/12/26 07:27:12 jpp Exp $
# Authority: unnilennium
# Name: Jean-Philippe Pialasse 
%define installer 7.1.68
Summary: smeserver-unifi
%define name smeserver-unifi
%define version 5.6.30
%define release 7
Name: %{name}
Version: %{version}
Release: %{installer}.%{release}%{?dist}
License: GPL
Group: Applications/System
Source: %{name}-%{version}.tar.xz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: smeserver-devtools >= 1.13.1-03
Requires: smeserver-release >= 10.0
Requires: mongodb-org >= 3.6
#Requires: redhat-lsb
#Requires: scl-utils
#Requires: rh-mongodb34-runtime
#Requires: rh-mongodb34-mongodb-server
#Requires: rh-mongodb34-mongodb
Requires: java-1.8.0-openjdk

%description
Integration package for Ubiquiti Unifi controller on Koozali SME Server.

%prep
%setup
rm root/etc/rc.d -rf

echo %{installer} > root/etc/e-smith/db/configuration/defaults/unifi/VersionToInstall
%build
/usr/bin/perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
	--dir /opt/UniFi 'attr(660,ubnt,ubnt)' \
	--dir /opt/UniFi_bak 'attr(660,ubnt,ubnt)' \
	--file /sbin/e-smith/systemd/unifi 'attr(755,root,root)' \
	> %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root,-)

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%{_sbindir}/useradd -m -d /opt/UniFi ubnt >& /dev/null || :


%post

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 5.6.30-7.sme
- Fix e-smith references in smeserver-unifi [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 5.6.30-6.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Mon Dec 26 2022 Jean-Philippe Pialasse <tests@pialasse.com> 5.6.30-5.sme
- fix execution bit again [SME: 12225]

* Fri Nov 18 2022 Jean-Philippe Pialasse <tests@pialasse.com> 5.6.30-4.sme
- add execution bit [SME: 12225]

* Sat Oct 22 2022 Jean-Philippe Pialasse <tests@pialasse.com> 5.6.30-3.sme
- fix [SME: 10534]

* Wed Aug 03 2022 Jean-Philippe Pialasse <tests@pialasse.com> 5.6.30-2.sme
- systemd enabled [SME: 12139]
- update event [SME: 12139]
- update Ports [SME: 12139]
- use LE cert if available [SME: 10534]
- add to core backup [SME: 12027]

* Fri Mar 09 2018 Jean-Philipe Pialasse <tests@pialasse.com> 5.6.30-1.sme
- initial release

